import React from "react";
interface Prop {
    fields: any[];
    currentSelected: any[];
}
interface State {
    selected: string[];
    indeterminate: boolean;
    checkAll: boolean;
    disabled: boolean;
    isSotr: boolean;
    fields: any[];
}
export default class ColumnSetting extends React.Component<Prop, State> {
    selectedFild: any;
    constructor(props: Prop);
    leftList(): React.JSX.Element;
    getSelectedAndSort(): {
        name: any;
        sort: any;
        show: boolean;
    }[];
    render(): React.JSX.Element;
}
export {};
